<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ResourceGroupManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#814015b5d3b200de06045bacc5fe5780">_getResourceManager</a>(const String &amp;resourceType)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#9101eca6c6f8b53c0aed0058d8fa2598">_notifyAllResourcesRemoved</a>(ResourceManager *manager)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#cfd6523433a294e45f83b0177280aafe">_notifyResourceCreated</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#89f5ae82ae1d2f451185f2d7e051607e">_notifyResourceGroupChanged</a>(const String &amp;oldGroup, Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#d155520f8ac3d6fe8bd20c1cd93318ce">_notifyResourceRemoved</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#bbf9af3ad2cbc12a8c0b5eba9211fce7">_notifyWorldGeometryStageEnded</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#71733c340057f8f7fbfdfbbfcc4a1f7c">_notifyWorldGeometryStageStarted</a>(const String &amp;description)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#791bfb9582a3ce16425371e66b899128">_registerResourceManager</a>(const String &amp;resourceType, ResourceManager *rm)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#afd69be90e1774f2a4b34c4e6dcaa38a">_registerScriptLoader</a>(ScriptLoader *su)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#7b09da95b6e1dcecdee14a9e37a6c555">_unregisterResourceManager</a>(const String &amp;resourceType)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#9b4ec48c9f25a6e37fa7d4cb5eac5520">_unregisterScriptLoader</a>(ScriptLoader *su)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#4e293436fb2ec1013b8f872c81ad78ae">addCreatedResource</a>(ResourcePtr &amp;res, ResourceGroup &amp;group)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#8f8027c8d44d25f2d3b18d0a8caaa42d">addResourceGroupListener</a>(ResourceGroupListener *l)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#63c9ac3c8701d58c8c8b8cf5f8df7849">addResourceLocation</a>(const String &amp;name, const String &amp;locType, const String &amp;resGroup=DEFAULT_RESOURCE_GROUP_NAME, bool recursive=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#70da3137e703c147b98fbfbbebfbf023">AUTODETECT_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#6e898cd04cf46d851dd07c11d360ac4c">BOOTSTRAP_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#7046808e2a8caf92e19907e5d9c310fd">clearResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#419f38237e0a3fc7746fe420f8ff5f08">createDeclaredResources</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#5b0a375e125f07e12fdd858f696981d0">createResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#1c684fc288dcdeeeeee7c10971c3af43">declareResource</a>(const String &amp;name, const String &amp;resourceType, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, const NameValuePairList &amp;loadParameters=NameValuePairList())</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#f88e3d5af3a2f1234d5f0c57a63ff605">declareResource</a>(const String &amp;name, const String &amp;resourceType, const String &amp;groupName, ManualResourceLoader *loader, const NameValuePairList &amp;loadParameters=NameValuePairList())</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">DEFAULT_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#585775b68272af64eddf87d0a95f5f5a">deleteGroup</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#08332f26f6b6479361cc107e71146c66">destroyResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#28a8fa30d92fa9723f7eb1c2e32e3b1b">dropGroupContents</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#9ef647369074ad1df5c732a47296b66b">findGroupContainingResource</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#7210dad62e79ae0411b90de4a84e146c">findGroupContainingResourceImpl</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#d460942ee4e7157ae5b73764c07eb4bc">findResourceFileInfo</a>(const String &amp;group, const String &amp;pattern, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#8633b13446e913d69f0f436d0f1c705d">findResourceNames</a>(const String &amp;groupName, const String &amp;pattern, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#0fa4a9feb094ed0aaa28be0a4903ca63">fireResourceEnded</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#95d0ad67fe3421d340379aaed02e99dc">fireResourceGroupLoadEnded</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#da2b5f3d48e4176a3d9cccd261e6305e">fireResourceGroupLoadStarted</a>(const String &amp;groupName, size_t resourceCount)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#5f82a272e5cca553fca536c5d5be65a4">fireResourceGroupScriptingEnded</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a70f4ce856399f0cdb91fbd9cbfeab07">fireResourceGroupScriptingStarted</a>(const String &amp;groupName, size_t scriptCount)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#861a8913037e1c507c0603c01a694889">fireResourceStarted</a>(const ResourcePtr &amp;resource)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#12d0ef9c27c2c1c1dbf6391108b21cde">fireScriptEnded</a>(const String &amp;scriptName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#4d48c9c0e1d67e37b425111071a64409">fireScriptStarted</a>(const String &amp;scriptName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#1cbbb7f25666562589d9428ae9cc3706">getResourceDeclarationList</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a5397018d7ded1329ad0175241f1f887">getResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#286f7b3fb982c0980e9bc4de237aa593">getResourceGroups</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#7e64ea1228280465675f0b1438d21e4a">getResourceManagerIterator</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#45101333f0f9ff132fc381dd5c4a1d60">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#375aaff7929cfb5560d69b0056363aa0">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#6a5134c3cf869331c5740a6a5e2728f0">getWorldResourceGroupName</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#3562a410d5854514d3b662b5968bab33">initialiseAllResourceGroups</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#f5c901bfb116d7f70f4542bd828784f4">initialiseResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#41cf771aba39d52af949d5295e7e18e3">INTERNAL_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#632b4b36f47b6c6f88df62cca7e3d7b4">linkWorldGeometryToResourceGroup</a>(const String &amp;group, const String &amp;worldGeometry, SceneManager *sceneManager)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#d0e7e504bbf763125cef2d725606328b">listResourceFileInfo</a>(const String &amp;groupName, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#b9f554bc463de7fd116b2ce59879fb11">listResourceNames</a>(const String &amp;groupName, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#3b1d27ae4ff8fe5b9ac48f6325b727e9">loadResourceGroup</a>(const String &amp;name, bool loadMainResources=true, bool loadWorldGeom=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#25cf2221b1cb13195aae84348f97055d">LoadUnloadResourceList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#f3f395b7865646b87915df950a553d2d">LocationList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#b40aa8555ffed48c406fc9249cced867">mCurrentGroup</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a661528e26f468563b5ecc15c173a48c">mResourceGroupListenerList</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#b7f766cbec187cee71d7a5f2cbb5ce89">mResourceGroupMap</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#82dcce5013ae2f212deed20212d29b59">mResourceManagerMap</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#72ebdd393f6b90d5850c4adad6a24b18">mScriptLoaderOrderMap</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#dc2312c705ebf3f2cfacdea67b3a8357">mWorldGroupName</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#59383aca4ce35694ebce498d43283567">openResource</a>(const String &amp;resourceName, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, bool searchGroupsIfNotFound=true, Resource *resourceBeingLoaded=0)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#3d0c6c5951154b20ff08b77c49aa91b4">openResources</a>(const String &amp;pattern, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#bf107fcfb6b40468dface99b9be30251">parseResourceGroupScripts</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#9e7c5dfc9905d1eee64289d9dc0fa6a5">removeResourceGroupListener</a>(ResourceGroupListener *l)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#8eaa9df18f04d69402f7369dca5a4cca">removeResourceLocation</a>(const String &amp;name, const String &amp;resGroup=DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#2f859bb7ae7ea232379d238c8fdfd142">RESOURCE_SYSTEM_NUM_REFERENCE_COUNTS</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#e26eacec6d13149f46c47d88c7110625">ResourceDeclarationList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#58a6c2662cbd5a3300eb3c17ebe79333">resourceExists</a>(const String &amp;group, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#50874658287dff57c5d4bc713b77351d">resourceExists</a>(ResourceGroup *group, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#def59af74fac7f67cd9dcdba3b6a0de4">ResourceGroupListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#d843c3889b80ebd8e01aed9cf81b3769">ResourceGroupManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#c4c39ec5a2534bd4e1475b3a58094e78">ResourceGroupMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#25b7fbc15fa4cb442ca9c399e62e6048">ResourceLocationIndex</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#f875db11dc5aba6ab72ec40296af9a5c">ResourceManagerIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#bb6fa5b78ff9f77f35b69cefd9d50283">ResourceManagerMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#c86da086440c29cbcf2242be6a64833a">ScriptLoaderOrderMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#407415b99c1df3b275e2609e16e8b39f">setWorldResourceGroupName</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#cb9bf6a75143b0ce49a0af7d05b213fe">shutdownAll</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#90bbba7b33448bb46a58f0759faa657a">undeclareResource</a>(const String &amp;name, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#365755132ea7380ea97cc2da51bb5651">unlinkWorldGeometryFromResourceGroup</a>(const String &amp;group)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#01166a19f261e9b4fd2908c94c829d08">unloadResourceGroup</a>(const String &amp;name, bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#03e3014b60337592bdfd01cffe8ff11f">unloadUnreferencedResourcesInGroup</a>(const String &amp;name, bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#5287a0923df2c8c4363d5527b81c7cd4">~ResourceGroupManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:33 2008
</p>
</body>
</html>
